Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class SubscribeResult

    java.lang.Object
      com.amazonaws.services.sns.model.SubscribeResult

    public class SubscribeResult

extends Object

Subscribe Result

Constructor Summary
`SubscribeResult()`

Method Summary
`String` | `getSubscriptionArn()` The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).
`void` | `setSubscriptionArn(String subscriptionArn)` The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SubscribeResult` | `withSubscriptionArn(String subscriptionArn)` The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubscribeResult

    public SubscribeResult()

Method Detail

### getSubscriptionArn

    public String getSubscriptionArn()

  The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

  Returns:
    The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

### setSubscriptionArn

    public void setSubscriptionArn(String subscriptionArn)

  The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

  Parameters:
    `subscriptionArn` - The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

### withSubscriptionArn

    public SubscribeResult withSubscriptionArn(String subscriptionArn)

  The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subscriptionArn` - The ARN of the subscription, if the service was able to create a subscription immediately (without requiring endpoint owner confirmation).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.